Sso\WebserviceBundle\Entity\Webservice\Type\UserApplicationRole:
    type: entity
    table: user_application_role
    uniqueConstraints:
        udx_role:
            columns:
                - userapplication_id
                - role_id
    id:
        Id:
            type: string
            length: 64
            fixed: true
            column: id
            generator:
                strategy: NONE
    fields:
        Active:
            type: boolean
            column: isactive
        Name:
            type: string
            length: 127
            column: role_name
        RoleId:
            type: string
            length: 64
            nullable: true
            column: role_id
    manyToOne:
        UserApplication:
            targetEntity: UserApplication
            inversedBy: Roles
            joinColumn:
                name: userapplication_id
                referencedColumnName: id
                onDelete: CASCADE
        Role:
            targetEntity: Role
            inversedBy: UserApplicationRoles
            joinColumn:
                name: role_id
                referencedColumnName: role_id
    lifecycleCallbacks:
        postLoad: [ onPostLoad ]
        prePersist: [ onPrePersist ]
        preUpdate: [ onPreUpdate ]
        preRemove: [ onPreRemove ]
